<div class="contentRightB">
    <div class="contentFull left filler-bottom-end-p">
        <div class="content-holder filler-top">
            <h3>Messages</h3>
            <nz-spin [nzSpinning]="isLoading[0]">
                <div *ngIf="messages.length > 0">
                    <table class="allMessages tableColor smaller">
                        <thead>
                            <tr>
                                <th>
                                    <label nz-checkbox [(ngModel)]="allChecked" (ngModelChange)="checkAll()"></label>
                                </th>
                                <th>Subject</th>
                                <th>From</th>
                                <th>Last Message</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let message of messages">
                                <td><label nz-checkbox [(ngModel)]="message.isChecked"></label></td>
                                <td>
                                    <a target="_blank"
                                        [ngStyle]="{'font-weight': message.hasUnseenMessage === true ? '800' : '400' }" href="{{hostUrl}}/message/{{message.id}}"
                                        >{{message.subject}}</a>
                                        <!-- [routerLink]="['/message', message.id, token]" -->
                                </td>
                                <td>
                                    <img src="{{hostUrl}}/{{message.lastMessageAuthor.avatarLocation}}" style="margin-right: 5px; width: 25px; height: 25px;" />
                                    <a href="{{hostUrl}}/{{message.lastMessageAuthor.entityTypeName}}/{{message.lastMessageAuthor.entityId}}" target="_blank"
                                    >{{message.lastMessageAuthor.name}}</a>
                                    <!-- [routerLink]="['/', message.lastMessageAuthor.entityTypeName, message.lastMessageAuthor.entityId]" -->
                                </td>
                                <td>
                                    {{message.lastMessageDateTime}} ago
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <div nz-row style="margin-top: 10px;">
                        <div nz-col nzSpan="12">
                            <button class="rdButton blButton small" style="border: none; float: left"
                                (click)="remove()">Remove
                                selected</button>
                        </div>
                        <div nz-col nzSpan="12">
                            <nz-pagination style="float:right;" [(nzPageIndex)]="page" [nzTotal]="totalEntries"
                                nzPageSize="15" (nzPageIndexChange)="loadData()">
                            </nz-pagination>
                        </div>
                    </div>

                </div>
                <p *ngIf="messages.length === 0 ">
                    <nz-alert nzType="info" nzMessage="You have no messages." nzShowIcon></nz-alert>
                </p>
            </nz-spin>
            <div class="clear"></div>
        </div>
    </div>

</div>
<div class="clear"></div>